/**
@authors: Herve Milcent AB/CO-IS
@date: 12/04/2007
@file unLHCCircuit_declarations.ctl

Modification History:
  	- Frederic: 27/08/2009: constant to identify the XML file used for CRYO data (LHC_CIRCUIT_CRYO_DATA_FILE)
	- Herve 27/10/2008: constant for new HMI
	- Herve 21/04/2008: new global
	- Herve 25/03/2008: new global and new constant for circuit as new module
	- Herve 10/10/2007: new constant
	- Herve 28/09/2007: new contant for new implementation if LHCCIRCUIT_treeOverview
	- Herve 10/07/2007: add Other 
	- Herve 18/04/2007: add global g_m_dsLHC_CIRCUITDeviceNumber
	- Herve 17/04/2007: add/modif constants
	- Herve 12/04/2007: add constants
	- Herve 10/04/2007: add constants
	
*/

/**
* @name LHCCircuit Declaration
Const and Global variables used in LHCCircuit
* @{
*/

const string LHC_CIRCUIT_NOTIFY_ADDRESS="unicos.support@cern.ch";

const string CIRCUIT_DOMAIN_NAME="CIRCUIT";
const string CIRCUIT_GROUPNAME = "circuit";

const string POWERING_SUB_SECTOR = "Powering Sub-Sector";
const string INTERLOCK_TYPE = "Interlock type";
const string CIRCUIT_TYPE = "Circuit type";
const string CIRCUIT = "Circuit";
const string BUILDING = "Building, WF";
const string DEVICE_TYPE = "device type";
const string QPS_PIC_PO = "QPS, PIC, PC, CRYO";

const string UNCIRCUIT_TREEDISPLAY_CALLBACK = "unLHCCircuit_TreeOverview_displayCallBack";

const string CIRCUIT_OVERVIEW = "vision/LHC_CIRCUIT/LHC_CIRCUIT_TreeOverview.pnl";

const int FILTER_LHC_CIRCUIT_POWERING_SUB_SECTOR = 0; // FILTER_PVSS_SYSTEM
const int FILTER_LHC_CIRCUIT_INTERLOCK_TYPE = 1; // FILTER_FRONT_END
const int FILTER_LHC_CIRCUIT_CIRCUIT_TYPE = 2; // FILTER_APPLICATION
const int FILTER_LHC_CIRCUIT_CIRCUIT = 3; // FILTER_DEVICETYPE
const int FILTER_LHC_CIRCUIT_QPS_PIC_PO = 4; // FILTER_SUBSYSTEM1
const int FILTER_LHC_CIRCUIT_BUILDING = 5; // FILTER_SUBSYSTEM2
const int FILTER_LHC_CIRCUIT_DEVICE_TYPE = 6; // FILTER_ALIAS
const int FILTER_LHC_CIRCUIT_ALIAS = 7;  
const int FILTER_LHC_CIRCUIT_CIRCUIT_DEVICE = 8;
const int FILTER_LHC_CIRCUIT_SOC = 9;

const int FILTER_LHC_CIRCUIT_CHECKBOX = 0;
const int FILTER_LHC_CIRCUIT_DEVICE_CHECKBOX = 1;

const int MAX_CIRCUIT_WARNING = 500;
const int MAX_BUILDING_WARNING = 20;

const int LHC_CIRCUIT_DEVICE_FILTER_MAX = 7;
const int LHC_CIRCUIT_CIRCUIT_FILTER_MAX = 3;

const int LHC_CIRCUIT_PVSS_SYSTEMS = 3;
const int LHC_CIRCUIT_PVSS_SYSTEMS_NQPS = 8;

const int LHC_CIRCUIT_TREE_DEVICE_DPNAME = 1; // TREE_DEVICE_DPNAME
const int LHC_CIRCUIT_TREE_DEVICE_ALIAS = 2; // TREE_DEVICE_ALIAS
const int LHC_CIRCUIT_TREE_DEVICE_CIRCUIT = 3; 
const int LHC_CIRCUIT_TREE_DEVICE_BUILDING = 4;
const int LHC_CIRCUIT_TREE_DEVICE_QPSPICPO = 5;
const int LHC_CIRCUIT_TREE_DEVICE_PWS = 6; // TREE_DEVICE_FEAPPLICATION
const int LHC_CIRCUIT_TREE_DEVICE_TYPE = 7; // TREE_DEVICE_TYPE
const int LHC_CIRCUIT_TREE_DEVICE_SUBSYSTEM1 = 8; // TREE_DEVICE_SUBSYSTEM1
const int LHC_CIRCUIT_TREE_DEVICE_CIRCUITTYPE = 9; // TREE_DEVICE_SUBSYSTEM2
const int LHC_CIRCUIT_TREE_DEVICE_INTERLOCKTYPE = 10; 
const int LHC_CIRCUIT_TREE_DEVICE_SORTSTATE = 11;

const int LHC_CIRCUIT_TREE_DEVICE_CHILD_XPOS = 270;
const int LHC_CIRCUIT_TREE_DEVICE_CHILD_YPOS = 0;
const int LHC_CIRCUIT_TREE_DEVICE_CHILD_POS_XIDENT = 10;
const int LHC_CIRCUIT_TREE_DEVICE_CHILD_POS_YIDENT = 30;

const string CIRCUIT_DP = "CIRCUIT-DP:CIRCUIT-DP";
const string CIRCUIT_CLASS = "CIRCUIT";

const string LHC_CIRCUIT_WIDGET = "_Circuit";
const string LHC_CIRCUIT_WIDGET_PANEL = "vision/CIRCUITS/LHC_CIRCUITS_VIEW_TREE.pnl";

const int LHC_CIRCUIT_DEFAULTWIDTH_CIRCUIT = 125;
const int LHC_CIRCUIT_DEFAULTHEIGHT_CIRCUIT	= 65;


const int LHC_CIRCUIT_WIDGET_PANEL_NB_CIRCUIT = 112; // circuit per view (from Circuit Overview)
const int LHC_CIRCUIT_WIDGET_PANEL_NB_CIRCUIT_MAX = 176;	//for the panel - not from the Circuit Overview

//PW and Circuit Animation
const int BODY_ERROR=0;
const int FAULT_FIPBAD=1;
const int FAULT_CIPBAD=2;
const int FE_BAD=3;
const int CB_ANIMATION_DELAY=1;		//Time in second
const int FAULT_MASK=1;	//65535;
const string DEBUG_FILTER="";
const string LHC_CIRCUIT_PIC_SYSTEM_NAME="pic_1:";

const int LHC_CIRCUIT_CIRCUIT_FILE_CIRCUIT = 1;
const int LHC_CIRCUIT_CIRCUIT_FILE_INTERLOCKTYPE = 2;
const int LHC_CIRCUIT_CIRCUIT_FILE_CIRCUITTYPE = 3;
const int LHC_CIRCUIT_CIRCUIT_FILE_BUILDING = 4;
const int LHC_CIRCUIT_CIRCUIT_FILE_PWS = 5;
const int LHC_CIRCUIT_CIRCUIT_FILE_NB_DEVICE = 6;

const string LHC_CIRCUIT_DEVICE_FILE = "_LHC_CIRCUITDeviceOverview_deviceList.dat";
const string LHC_CIRCUIT_CIRCUIT_FILE = "_LHC_CIRCUITDeviceOverview_circuitList.dat";

const string HTML_HELP="en_US.iso88591/LHC_CIRCUIT/doc-LHC_CIRCUIT-main.htm";

global mapping g_m_dsLHC_CIRCUITPWS, g_m_dsLHC_CIRCUITCircuitBuilding, g_m_dsLHC_CIRCUITDeviceNumber;
global dyn_string g_dsLHC_CIRCUITCircuit, g_dsLHC_CIRCUITCircuitCircuitType, g_dsLHC_CIRCUITCircuitInterlockType;
global dyn_string g_dsLHC_CIRCUITPWS_list, g_dsLHC_CIRCUITInterlockType_list, g_dsLHC_CIRCUITCircuit_list, 
		g_dsLHC_CIRCUITCircuitType_list, g_dsLHC_CIRCUITBuilding_list;

global dyn_dyn_string g_ddsLHC_CIRCUITDeviceDp, g_ddsLHC_CIRCUITDeviceAlias, g_ddsLHC_CIRCUITDeviceType;

global dbConnection g_connDatabase;
global int g_iLSADBConnect;

const string CIRCUIT_DEVICE_WIDGET="CIRCUIT_CANVAS";
const string CIRCUIT_DEVICE_WIDGET_PANEL="vision/CIRCUITS/LHC_CIRCUITS_WIDGETS.pnl";

const string CIRCUIT_DEVICE_TREE_WIDGET="CIRCUIT_TREECANVAS";
const string CIRCUIT_DEVICE_TREE_WIDGET_PANEL="vision/CIRCUITS/LHC_CIRCUITS_WIDGETS_TREE.pnl";

//max openend circuit in independant module
const int LHC_CIRCUIT_MAX_OPENED_CIRCUIT=25;

// constant for HMI functions
const string LHC_CIRCUITHMI_1SCREEN_CONFIGURATION_FILE = "data/LHC_CircuitHMI_1screen.xml";
const string LHC_CIRCUITHMI_2SCREEN_CONFIGURATION_FILE = "data/LHC_CircuitHMI_2screen.xml";
const string LHC_CIRCUITHMI_3SCREEN_CONFIGURATION_FILE = "data/LHC_CircuitHMI_3screen.xml";

// constant for CRYO XML file
const string LHC_CIRCUIT_CRYO_DATA_FILE = "Cryo_Synoptics_Data_LHC.xml";

//------------------------------------------------------------------------------------------------------------------------

//@}

